From 9a3721e5707c14c568af8f09ba9125c8d6951f41 Mon Sep 17 00:00:00 2001
From: jcoleman <jtc331@gmail.com>
Date: Wed, 14 Sep 2022 12:03:46 -0400
Subject: [PATCH v1] Fix convert_saop_to_hashed_saop comment

In 29f45e29 we added support for executing NOT IN(values) with a
hashtable, however this comment still claimed that we only do so for
cases where the ScalarArrayOpExpr's useOr flag is true.
---
 src/backend/optimizer/util/clauses.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/src/backend/optimizer/util/clauses.c b/src/backend/optimizer/util/clauses.c
index 5c54171fee..deba8c30be 100644
--- a/src/backend/optimizer/util/clauses.c
+++ b/src/backend/optimizer/util/clauses.c
@@ -2117,7 +2117,7 @@ eval_const_expressions(PlannerInfo *root, Node *node)
  *
  * We'll use a hash table if all of the following conditions are met:
  * 1. The 2nd argument of the array contain only Consts.
- * 2. useOr is true.
+ * 2. useOr is true or there is a valid negator.
  * 3. There's valid hash function for both left and righthand operands and
  *	  these hash functions are the same.
  * 4. If the array contains enough elements for us to consider it to be
-- 
2.32.1 (Apple Git-133)

